<div ng-show="$parent.loadingData" class="loading loading1">
	<div class="sk-three-bounce">
		<div class="sk-child sk-bounce1"></div>
		<div class="sk-child sk-bounce2"></div>
		<div class="sk-child sk-bounce3"></div>
	</div>
</div>

<div id="innertabs" ng-hide="$parent.loadingData === true">
	<div class="innersection">
		<h4 class="innersection-title">Personal Information</h4>

		<div class="row">
			<div class="col-md-4">
				<div class="block hasPadding">
					<h4>Name</h4>

						<span e-ng-model="transaction.AddressBilling[0].firstname"
							  data-editable-text="transaction.AddressBilling[0].firstname" blur="cancel" data-e-required
							  data-e-placeholder="Enter firstname">
							{{ (transaction.AddressBilling[0].firstname || 'empty') }}
						</span>
						
						<span e-ng-model="transaction.AddressBilling[0].lastname"
							  data-editable-text="transaction.AddressBilling[0].lastname" blur="cancel" data-e-required
							  data-e-placeholder="Enter lastname">
							{{ (transaction.AddressBilling[0].lastname || 'empty') }}
						</span>

				</div>
			</div>
			<div class="col-md-4">
				<div class="block hasPadding">
					<h4>Contact Information</h4>
						
						<span e-ng-model="transaction.AddressBilling[0].email"
							  data-editable-text="transaction.AddressBilling[0].email" blur="cancel" data-e-required
							  data-e-placeholder="Enter email">
							{{ (transaction.AddressBilling[0].email || 'empty') }}
						</span>

					<div class="clearfix">&nbsp;</div>
						
						<span e-ng-model="transaction.AddressBilling[0].phone"
							  data-editable-text="transaction.AddressBilling[0].phone" blur="cancel" data-e-required
							  data-e-placeholder="Enter phone">
							{{ (transaction.AddressBilling[0].phone || 'empty') }}
						</span>

				</div>
			</div>

			<div class="col-md-4">
				<div class="clearfix">&nbsp;
					<div ng-controller="addRequestedPhotoCtrl">
						<input type="file" file-model="myFile" id="addRequestedPhoto" style="display: none"/>
						<button ng-click="triggerAddRequestedPhoto()" style="" id="btnAddPhoto">Add Requested Photo</button>
						<button ng-click="uploadFile()" style="display: none" id="btnUploadPhoto" transaction_id="{{transaction.Transaction.id}}">Upload Requested Photo and Send Confirmation</button>
						<div ng-show="addRequestedPhotoPreviewSrc != null"><img id="previewRequestedPhoto" style="margin-bottom: 10px; max-width: 120px; max-height: 100px;" src="{{addRequestedPhotoPreviewSrc}}"></div>
						<div>
							<h4 ng-show="transaction.requestedPhotos.length">Requested Photo</h4>
							<ul class="requested-photos">
								<li ng-repeat="photo in transaction.requestedPhotos"><img style="max-width: 120px; max-height: 100px;" src="{{$window.Configure.base_url}}/{{photo.requested_photo_url}}"></li>
							</ul>
						</div>


						<br/><span class="text-error" style="display: none" id="addPhotoError">Invalid File Types</span>
					</div>
				</div>
			</div>
			<!-- /.col-md-6 -->
		</div>
		<!-- /.row -->

		<div class="row">
			<div class="col-md-4">
				<div class="block hasPadding">
					<h4>Address 1</h4>
						
						<span e-ng-model="transaction.AddressBilling[0].address1"
							  data-editable-text="transaction.AddressBilling[0].address1" blur="cancel" data-e-required
							  data-e-placeholder="Enter address1">
							{{ (transaction.AddressBilling[0].address1 || 'empty') }}
						</span>
				</div>
				<div class="block hasPadding">
					<h4>City</h4>
					<span e-ng-model="transaction.AddressBilling[0].city"
						  data-editable-text="transaction.AddressBilling[0].city"
						  blur="cancel" data-e-required data-e-placeholder="Enter city">
						{{ (transaction.AddressBilling[0].city || 'empty') }}
					</span>
				</div>

				<div class="block hasPadding">
					<h4>State</h4>
					<span e-ng-model="transaction.AddressBilling[0].adm_division"
						  data-editable-text="transaction.AddressBilling[0].adm_division" blur="cancel"
						  data-e-required
						  data-e-placeholder="Enter adm_division">
						{{ (transaction.AddressBilling[0].adm_division || 'empty') }}
					</span>
				</div>

				<div class="block hasPadding">
					<h4>Postcode</h4>
					<span e-ng-model="transaction.AddressBilling[0].postal_code"
						  data-editable-text="transaction.AddressBilling[0].postal_code" blur="cancel"
						  data-e-required
						  data-e-placeholder="Enter postal_code">
						{{ (transaction.AddressBilling[0].postal_code || 'empty') }}
					</span>
				</div>

				<div class="block hasPadding">
					<h4>Country</h4>
					<a href="#" editable-select="transaction.AddressBilling[0].country_id"
					   e-ng-options="s.value as s.text for s in countries">
						{{ showStatus(transaction.AddressBilling[0].country_id, countries) }}
					</a>
				</div>
			</div>
			<div class="col-md-4">
				<div class="block hasPadding">
					<h4>Address 2</h4>
						
						<span e-ng-model="transaction.AddressBilling[0].address2"
							  data-editable-text="transaction.AddressBilling[0].address2" blur="cancel"
							  data-e-placeholder="Enter address2">
							{{ (transaction.AddressBilling[0].address2 || 'None') }}
						</span>
				</div>
			</div>
			<div class="col-md-4">


				<div class="clearfix" style="text-align: left">&nbsp;
					<div ng-controller="addShippingBoxPhotoCtrl">
						<input type="file" file-model="myShippingBoxFile" id="addShippingBoxPhoto" style="display: none"/>
						<button ng-click="triggerAddShippingPhoto()" style="" id="btnAddShippingBoxPhoto">Add ShipingBox Photo</button>
						<button ng-click="uploadFile()" style="display: none" id="btnUploadShippingBoxPhoto" transaction_id="{{transaction.Transaction.id}}">Upload ShippingBox Photo</button>

						<img id="previewShippingBoxPhoto" style=":right;margin-bottom: 10px; max-width: 200px; height: auto; display: none" src="{{previewShippingBoxPhotoSrc}}">
						<div>
							<h4 ng-show="transaction.shippingPhotos.length">ShippingBox Photos</h4>
							<ul class="requested-photos">
								<li ng-repeat="photo in transaction.shippingPhotos"><img style="max-width: 120px; max-height: 100px;" src="{{$window.Configure.base_url}}/{{photo.requested_photo_url}}"></li>
							</ul>
						</div>
						<br/><span class="text-error" style="display: none" id="uploadShippingBoxPhotoError">Invalid File Types</span>
					</div>
				</div>

			</div>
		</div>
		<hr>
		<h3>Shipping</h3>

		<div class="row">
			<div class="col-md-6">
				<div class="block hasPadding">
					<h4>Name</h4>
					
					<span e-ng-model="transaction.AddressShipping[0].firstname"
						  data-editable-text="transaction.AddressShipping[0].firstname" blur="cancel"
						  data-e-placeholder="Enter firstname">
							{{ (transaction.AddressShipping[0].firstname || 'empty') }}
						</span>
					
										<span e-ng-model="transaction.AddressShipping[0].lastname"
											  data-editable-text="transaction.AddressShipping[0].lastname" blur="cancel"
											  data-e-placeholder="Enter lastname">
							{{ (transaction.AddressShipping[0].lastname || 'empty') }}
						</span>

				</div>
			</div>
			<div class="col-md-6">
				<div class="block hasPadding">
					<h4>Contact Information</h4>
					
											<span e-ng-model="transaction.AddressShipping[0].email"
												  data-editable-text="transaction.AddressShipping[0].email"
												  blur="cancel" data-e-required
												  data-e-placeholder="Enter email">
							{{ (transaction.AddressShipping[0].email || 'empty') }}
						</span>

					<div class="clearfix">&nbsp;</div>
						
						<span e-ng-model="transaction.AddressShipping[0].phone"
							  data-editable-text="transaction.AddressShipping[0].phone" blur="cancel" data-e-required
							  data-e-placeholder="Enter phone">
							{{ (transaction.AddressShipping[0].phone || 'empty') }}
						</span>


				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6">
				<div class="block hasPadding">
					<h4>Address 1</h4>
					
					<span e-ng-model="transaction.AddressShipping[0].address1"
						  data-editable-text="transaction.AddressShipping[0].address1" blur="cancel" data-e-required
						  data-e-placeholder="Enter address1">
							{{ (transaction.AddressShipping[0].address1 || 'empty') }}
						</span>

				</div>
				<div class="block hasPadding">
					<h4>City</h4>
						<span e-ng-model="transaction.AddressShipping[0].city"
							  data-editable-text="transaction.AddressShipping[0].city"
							  blur="cancel" data-e-required data-e-placeholder="Enter city">
							{{ (transaction.AddressShipping[0].city || 'empty') }}
						</span>

				</div>

				<div class="block hasPadding">
					<h4>State</h4>
						<span e-ng-model="transaction.AddressShipping[0].adm_division"
							  data-editable-text="transaction.AddressShipping[0].adm_division" blur="cancel"
							  data-e-required
							  data-e-placeholder="Enter adm_division">
							{{ (transaction.AddressShipping[0].adm_division || 'empty') }}
						</span>

				</div>

				<div class="block hasPadding">
					<h4>Postcode</h4>
						<span e-ng-model="transaction.AddressShipping[0].postal_code"
							  data-editable-text="transaction.AddressShipping[0].postal_code" blur="cancel"
							  data-e-required
							  data-e-placeholder="Enter postal_code">
							{{ (transaction.AddressShipping[0].postal_code || 'empty') }}
						</span>

				</div>

				<div class="block hasPadding">
					<h4>Country</h4>

					<a href="#" editable-select="transaction.AddressShipping[0].country_id"
					   e-ng-options="s.value as s.text for s in countries">
						{{ showStatus(transaction.AddressShipping[0].country_id, countries) || 'empty' }}
					</a>
				</div>
			</div>
			<div class="col-md-6">
				<div class="block hasPadding">
					<h4>Address 2</h4>
					
											<span e-ng-model="transaction.AddressShipping[0].address2"
												  data-editable-text="transaction.AddressShipping[0].address2"
												  blur="cancel"
												  data-e-placeholder="Enter address2">
							{{ (transaction.AddressShipping[0].address2 || 'None') }}
						</span>

				</div>
			</div>
		</div>

	</div>
	<!-- /.innersection -->
	<div class="innersection">
		<h4 class="innersection-title">Additional Options</h4>

		<div class="row">
			<div class="col-md-6">
				<div class="block hasPadding hidden">
					<h4>Additional packages</h4>
					<span class="edit-btn">Edit</span>

					<p class="bold">Weight and Value</p>

					<div class="non-editable">
						<p><label>1</label> - <span name="pack1-weight">99</span><span
								name="pack1-weightmeas">lb</span> - $<span
								name="pack1-value">99</span></p>
					</div>
					<div class="editable">
						<div class="row">
							<div class="col-md-8">
								<fieldset class="twoinputs">
									<input name="pack1-weight" type="text" value="99"/>
								</fieldset>
								<fieldset class="twoinputs">
									<select name="pack1-weightmeas">
										<option value="lb">lb</option>
										<option value="kg">kg</option>
									</select>
								</fieldset>
							</div>
							<div class="col-md-4">
								<fieldset>
									<input name="pack1-value" type="text" value="99"/>
								</fieldset>
							</div>
						</div>
					</div>
					<div class="non-editable">
						<p><label>2</label> - <span name="pack2-weight">99</span>lb - $<span
								name="pack2-value">99</span>
						</p>
					</div>
					<div class="editable">
						<div class="row">
							<div class="col-md-8">
								<fieldset class="twoinputs">
									<input name="pack2-weight" type="text" value="99"/>
								</fieldset>
								<fieldset class="twoinputs">
									<select name="pack2-weightmeas">
										<option value="lb">lb</option>
										<option value="kg">kg</option>
									</select>
								</fieldset>
							</div>
							<div class="col-md-4">
								<fieldset>
									<input name="pack2-value" type="text" value="99"/>
								</fieldset>
							</div>
						</div>
						<button>Save</button>
					</div>
				</div>
				<div class="block hasPadding">
					<h4>Need these packages expedited</h4>
					
						<span e-ng-model="transaction.Transaction.expedited"
							  data-editable-checkbox="transaction.Transaction.expedited" blur="cancel"
							  data-e-title="Yes/No">
							{{ (transaction.Transaction.expedited && "Yes" || 'No') }}
						</span>

				</div>
                <div class="block hasPadding">
                    <h4>Photo Requested</h4>

                    <span e-ng-model="transaction.Transaction.request_photo"
                          data-editable-checkbox="transaction.Transaction.request_photo" blur="cancel"
                          data-e-title="Yes/No">
                        {{ (transaction.Transaction.request_photo && "Yes" || 'No') }}
                    </span>
                </div>
			</div>

			<div class="col-md-6">
				<div class="block hasPadding">
					<h4>Insurance added</h4>
					
											<span e-ng-model="transaction.Transaction.insured"
												  data-editable-checkbox="transaction.Transaction.insured" blur="cancel"
												  data-e-title="Yes/No">
							{{ (transaction.Transaction.insured && "Yes" || 'No') }}
						</span>


				</div>
				<div class="block hasPadding">
					<h4>Repackage</h4>
					
																<span e-ng-model="transaction.Transaction.repackaged"
																	  data-editable-checkbox="transaction.Transaction.repackaged"
																	  blur="cancel"
																	  data-e-title="Yes/No">
							{{ (transaction.Transaction.repackaged && "Yes" || 'No') }}
						</span>


				</div>
				<div class="block hasPadding">
					<h4>Special Instructions</h4>
					
											<span e-rows="7" e-cols="40"
												  e-ng-model="transaction.Transaction.special_instructions"
												  data-editable-textarea="transaction.Transaction.special_instructions"
												  blur="cancel" data-e-placeholder="Enter special instructions">
							{{ (transaction.Transaction.special_instructions || 'empty') }}
						</span>

				</div>
			</div>
		</div>
	</div>
	<!-- /.innersection -->

	<div class="innersection">
		<h4 class="innersection-title">Package Details</h4>

		<!-- Start Packages -->
		<div ng-repeat="shipment in transaction.Shipment track by $index">
			<div class="block hasPadding">
				<h3>Package {{$index+ 1}}</h3>

				<div class="row">
					<div class="col-md-4">
						<h4>Gross Value</h4>

						<p>{{ getPackageValue($index) | currency }}</p>

					</div>
					<div class="col-md-4">
						<h4>Estimate Gross Weight</h4>
						
						<span e-ng-model="transaction.Shipment[$index].Package.weight"
							  data-editable-text="transaction.Shipment[$index].Package.weight"
							  blur="cancel"
							  data-e-placeholder="Weight">
						{{ (transaction.Shipment[$index].Package.weight || 'Not set') }}
							</span>
													
						<a href="#" editable-select="transaction.Shipment[$index].Package.weight_unit"
							  e-ng-options="wu.value as wu.text for wu in weightUnits">
							{{ transaction.Shipment[$index].Package.weight_unit || 'Not set' }}
						</a>


					</div>
                    
					<div class="col-md-4" >
						<h4>Gross Dimensions</h4>

						<label>Width</label>
						
						<span e-ng-model="transaction.Shipment[$index].Package.width"
													  data-editable-text="transaction.Shipment[$index].Package.width"
													  blur="cancel"
													  data-e-placeholder="Width">
						{{ (transaction.Shipment[$index].Package.width || 'Not set') }}
							</span>

						<a href="#" editable-select="transaction.Shipment[$index].Package.width_unit"
						   e-ng-options="wu.value as wu.text for wu in sizeUnits">
							{{ transaction.Shipment[$index].Package.width_unit || 'Not set' }}
						</a>

						<div class="clearfix"></div>
						<label>Length</label>
						
												<span e-ng-model="transaction.Shipment[$index].Package.length"
													  data-editable-text="transaction.Shipment[$index].Package.length"
													  blur="cancel"
													  data-e-placeholder="Length">
						{{ (transaction.Shipment[$index].Package.length || 'Not set') }}
							</span>

						<a href="#" editable-select="transaction.Shipment[$index].Package.length_unit"
						   e-ng-options="wu.value as wu.text for wu in sizeUnits">
							{{ transaction.Shipment[$index].Package.length_unit || 'Not set' }}
						</a>

						<div class="clearfix"></div>
						<label>Height</label>
																		<span e-ng-model="transaction.Shipment[$index].Package.height"
																			  data-editable-text="transaction.Shipment[$index].Package.height"
																			  blur="cancel"
																			  data-e-placeholder="Height">
						{{ (transaction.Shipment[$index].Package.height || 'Not set') }}
							</span>

						<a href="#" editable-select="transaction.Shipment[$index].Package.height_unit"
						   e-ng-options="wu.value as wu.text for wu in sizeUnits">
							{{ transaction.Shipment[$index].Package.height_unit || 'Not set' }}
						</a>
						
					</div>

                    <div class="col-md-4" ng-hide="fieldEmpty(transaction.Shipment[$index].Package.consolidated_packages)">
						<h4>Consolidated Packages</h4>
                        {{ transaction.Shipment[$index].Package.consolidated_packages }}
                    </div>
				</div>
			</div>

            <div class="row">
                <div class="col-md-4">
                    <div class="block hasPadding">
                        <h4>Inbound Tracking Number</h4>
                        <span e-ng-model="transaction.Shipment[$index].Package.in_tracking"
                              data-editable-text="transaction.Shipment[$index].Package.in_tracking"
                              blur="cancel"
                              data-e-placeholder="Tracking">
                            {{ (transaction.Shipment[$index].Package.in_tracking || 'Not set') }}
                        </span>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="block hasPadding">
                        <h4>Inbound Carrier</h4>

                        <span e-ng-model="transaction.Shipment[$index].Package.carrier"
                              data-editable-text="transaction.Shipment[$index].Package.carrier"
                              blur="cancel" data-e-required
                              data-e-placeholder="Carrier">
                            {{ (transaction.Shipment[$index].Package.carrier  || 'Not set') }}
                        </span>
                    </div>
                </div>
               
            </div>
            <div class="row">
                <div class="col-md-4">
                    <div class="block hasPadding">
                        <h4>Outbound Tracking Number</h4>

                        <span e-ng-model="transaction.Shipment[$index].Package.out_tracking"
                              data-editable-text="transaction.Shipment[$index].Package.out_tracking"
                              blur="cancel"
                              data-e-placeholder="Outbound Tracking Number">
                            {{ (transaction.Shipment[$index].Package.out_tracking  || 'Not set') }}
                        </span>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="block hasPadding">
                        <h4>Outbound Carrier</h4>

                        <span e-ng-model="transaction.Shipment[$index].Package.out_carrier"
                              data-editable-text="transaction.Shipment[$index].Package.out_carrier"
                              blur="cancel"
                              data-e-placeholder="Outbound Carrier">
                            {{ (transaction.Shipment[$index].Package.out_carrier  || 'Not set') }}
                        </span>
                    </div>
                </div>
            </div>

			<h3>Item Details</h3>
           
			<!-- Start Items -->
			<div ng-repeat="item in transaction.Shipment[$index].Package.Item">
				<div class="row">
                    <div class="col-md-4">
                        <div class="block hasPadding">
                            <h4>Description</h4>
                            <a href="#" editable-select="item.type_id"
                               e-ng-options="s.value as s.text for s in item_types">
                                {{ (item.description || 'Not set') }}
                            </a>
                        </div>
                    </div>
					<div class="col-md-4">
						<div class="block hasPadding">
							<h4>Weight</h4>
							
							<span e-ng-model="item.weight_kg"
								data-editable-text="item.weight_kg"
								blur="cancel"
								data-e-placeholder="Weight" ng-show="item.weight_kg">
						{{ (item.weight_kg || 'Not set') }}
							</span>

                            <span e-ng-model="item.weight_lb"
                                  data-editable-text="item.weight_lb"
                                  blur="cancel"
                                  data-e-placeholder="Weight" ng-show="item.weight_lb">
						{{ (item.weight_lb || 'Not set') }}
							</span>

							<a href="#" editable-select="item.weight_unit"
							   e-ng-options="wu.value as wu.text for wu in weightUnits">
								{{ item.weight_unit || 'Not set' }}
							</a>
							
						</div>
					</div>
					<div class="col-md-4">
						<div class="block hasPadding">
							<h4>Quantity</h4>
							
							<span e-ng-model="item.quantity"
									data-editable-text="item.quantity"
									blur="cancel"
									data-e-placeholder="Quantity">
						{{ (item.quantity || 'Not set') }}
							</span>
							
						</div>
					</div>
				</div>

				<div class="row">
					<div class="col-md-4">
						<div class="block hasPadding">
							<h4>Country of origin</h4>

							<a href="#" editable-select="item.country_id"
							   e-ng-options="s.value as s.text for s in countries">
								{{ showStatus(item.country_id, countries) }}
							</a>
						</div>
					</div>
					<div class="col-md-4">
						<div class="block hasPadding">
							<h4>Price</h4>
							
							<span e-ng-model="item.value"
								  data-editable-text="item.value"
								  blur="cancel" data-e-required
								  data-e-placeholder="Enter a value">
							{{ ((item.value  || '0') | currency) }}
						</span>

						</div>
					</div>
                    <div class="col-md-4">
                        <div class="block hasPadding">
                            <h4>Type of Content</h4>
                            <a href="#" editable-select="item.type_id"
                               e-ng-options="s.value as s.text for s in item_types">
                                {{ showStatus(item.type_id, item_types) }}
                            </a>
                        </div>
                    </div>
				</div>

              
			</div>
			<!-- End Items -->

			<hr>
			<button type="button" class="hidden">Add Package</button>
		</div>
		<!-- End Packages -->
	</div>

	<div class="innersection">
		<h4 class="innersection-title">Shipment Rates</h4>
		<div class="row">
			<div class="col-md-12 shippingRateMessage"></div>
		</div>
		<div class="row">
			<div class="col-md-6" ng-repeat="shipment in transaction.Shipment track by $index">
				<div class="block hasPadding">
					<h4>Package {{$index + 1}}</h4>
					<span class="edit-btn" ng-click="findRates(shipment, $index)">Change</span>

					<p>{{shipment.Package.easypost_rate_description}}</p>
					
					<p>Quoted Rate: {{shipment.Package.easypost_rate_price | currency}}</p>

                    <p>EasyPost Rate: {{ getEasyPostRate(shipment.Package.easypost_rate_price) | currency}}</p>
					
				</div>
			</div>
		</div>
	</div>

	<!-- Payment options -->
	<div class="innersection">
		<h4 class="innersection-title">Payment Options</h4>

		<div class="row">
			<div class="col-md-4">
				<div class="block hasPadding">
					<h4>Shipping Charges Authorized</h4>
					
																					<span e-ng-model="transaction.Transaction.charge_before"
																						 
																						  blur="cancel"
																						  data-e-title="Yes/No">
							{{ (transaction.Transaction.charge_now?'Yes':'No' ) }}
						</span>
					
				</div>
			</div>
			<!--<div class="col-md-4">
				<div class="block hasPadding">
					<h4>Charge at a later date if necessary before payment is processed</h4>
					
											<span e-ng-model="transaction.Transaction.charge_later"
												  data-editable-checkbox="transaction.Transaction.charge_later"
												  blur="cancel"
												  data-e-title="Yes/No">
							{{ (transaction.Transaction.charge_later && "Yes" || 'No') }}
						</span>

				</div>
			</div>
			<div class="col-md-4">
				<div class="block hasPadding">
					<h4>Charge for shipping upon receipt</h4>
					
																<span e-ng-model="transaction.Transaction.charge_upon_receipt"
																	  data-editable-checkbox="transaction.Transaction.charge_upon_receipt"
																	  blur="cancel"
																	  data-e-title="Yes/No">
							{{ (transaction.Transaction.charge_upon_receipt && "Yes" || 'No') }}
						</span>

				</div>
			</div>-->
		</div>
	</div>

	<button type="button" ng-show="transactionDirty" ng-click="updateTransaction()">Update changes</button>

</div><!-- /#innertabs -->

<div id="divRates" style="display:none">
    <div id="divRatesWait" class="showLoad text-center" style="padding: 10px">
        <img src="/img/loading.gif" alt="loading" style="width:30px;" />
        <span id="spanWaitText">Querying EasyPost for Rates...</span>
    </div>
    <div id="divRatesTable" style="display:none;height: 600px;overflow:auto;">
        <table id="tblRates" class="table table-hover qs-shipment-table">
            <thead>
                <tr>
                    <th>Carrier</th>
                    <th>Service</th>
                    <th>Price</th>
                    <th>Est. Delivery</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody class="package_rate_list">
                <tr ng-class="{'info': quickship.$storage.shippingRatesSelected[0].shipping_rate_id == shipping_rate.rate_id}"
                    ng-repeat="shipping_rate in quickship.$storage.shippingRates[0]"
                    id="{{shipping_rate.rate_id}}">
                    <td class="text-center">
                        <img ng-src="{{$parent.quickship.configure.base_url + 'img/carriers/'+(shipping_rate.carrier | lowercase)+'.jpg'}}"
                             alt="">
                    </td>
                    <td class="title service">{{shipping_rate.service}}</td>
                    <td class="price">
                        <span>EST </span>

                        <span>{{shipping_rate.rate}}</span>
                    </td>
                    <td>{{shipping_rate.delivery_date}}</td>
                    <td class="actions">
                        <button class="btn btn-default"
                                ng-click="$parent.selectService(shipping_rate)">
                            Choose
                        </button>
                    </td>

                </tr>
            </tbody>
        </table>
    </div>
</div>